# NetworkedObject Class
 

A component used to identify that a GameObject is networked


## Inheritance Hierarchy
<a href="http://msdn2.microsoft.com/en-us/library/e5kfa45b" target="_blank">System.Object</a><br />&nbsp;&nbsp;Object<br />&nbsp;&nbsp;&nbsp;&nbsp;Component<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Behaviour<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MonoBehaviour<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MLAPI.NetworkedObject<br />
**Namespace:**&nbsp;<a href="N_MLAPI">MLAPI</a><br />**Assembly:**&nbsp;MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)

## Syntax

**C#**<br />
``` C#
public class NetworkedObject : MonoBehaviour
```

<br />
The NetworkedObject type exposes the following members.


## Constructors
&nbsp;<table><tr><th></th><th>Name</th><th>Description</th></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td><a href="M_MLAPI_NetworkedObject__ctor">NetworkedObject</a></td><td>
Initializes a new instance of the NetworkedObject class</td></tr></table>&nbsp;
<a href="#networkedobject-class">Back to Top</a>

## Properties
&nbsp;<table><tr><th></th><th>Name</th><th>Description</th></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>animation</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>audio</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>camera</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>collider</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>collider2D</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>constantForce</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>enabled</td><td> (Inherited from Behaviour.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>gameObject</td><td> (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>guiElement</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>guiText</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>guiTexture</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>hideFlags</td><td> (Inherited from Object.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>hingeJoint</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>isActiveAndEnabled</td><td> (Inherited from Behaviour.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_isLocalPlayer">isLocalPlayer</a></td><td>
Gets if the object is the the personal clients player object</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_isOwner">isOwner</a></td><td>
Gets if the object is owned by the local player</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_isPlayerObject">isPlayerObject</a></td><td>
Gets if this object is a player object</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_isPooledObject">isPooledObject</a></td><td>
Gets if this object is part of a pool</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>light</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>name</td><td> (Inherited from Object.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_NetworkId">NetworkId</a></td><td>
Gets the unique ID of this object that is synced across the network</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>networkView</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_OwnerClientId">OwnerClientId</a></td><td>
Gets the clientId of the owner of this NetworkedObject</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>particleEmitter</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>particleSystem</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_PoolId">PoolId</a></td><td>
Gets the poolId this object is part of</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>renderer</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>rigidbody</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>rigidbody2D</td><td> **Obsolete. ** (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>runInEditMode</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td><a href="P_MLAPI_NetworkedObject_SpawnablePrefabIndex">SpawnablePrefabIndex</a></td><td>
The index of the prefab used to spawn this in the spawnablePrefabs list</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>tag</td><td> (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>transform</td><td> (Inherited from Component.)</td></tr><tr><td>![Public property](media/pubproperty.gif "Public property")</td><td>useGUILayout</td><td> (Inherited from MonoBehaviour.)</td></tr></table>&nbsp;
<a href="#networkedobject-class">Back to Top</a>

## Methods
&nbsp;<table><tr><th></th><th>Name</th><th>Description</th></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>BroadcastMessage(String)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>BroadcastMessage(String, Object)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>BroadcastMessage(String, SendMessageOptions)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>BroadcastMessage(String, Object, SendMessageOptions)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>CancelInvoke()</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>CancelInvoke(String)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td><a href="M_MLAPI_NetworkedObject_ChangeOwnership">ChangeOwnership</a></td><td>
Changes the owner of the object. Can only be called from server</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>CompareTag</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>Equals</td><td> (Inherited from Object.)</td></tr><tr><td>![Protected method](media/protmethod.gif "Protected method")</td><td><a href="http://msdn2.microsoft.com/en-us/library/4k87zsw7" target="_blank">Finalize</a></td><td> (Inherited from <a href="http://msdn2.microsoft.com/en-us/library/e5kfa45b" target="_blank">Object</a>.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponent(Type)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponent(String)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponent``1()</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentInChildren(Type)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentInChildren(Type, Boolean)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentInChildren``1()</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentInChildren``1(Boolean)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentInParent(Type)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentInParent``1()</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponents(Type)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponents(Type, List(Component))</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponents``1()</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponents``1(List(UMP))</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInChildren(Type)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInChildren(Type, Boolean)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInChildren``1()</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInChildren``1(Boolean)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInChildren``1(List(UMP))</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInChildren``1(Boolean, List(UMP))</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInParent(Type)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInParent(Type, Boolean)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInParent``1()</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInParent``1(Boolean)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetComponentsInParent``1(Boolean, List(UMP))</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetHashCode</td><td> (Inherited from Object.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>GetInstanceID</td><td> (Inherited from Object.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td><a href="http://msdn2.microsoft.com/en-us/library/dfwy45w9" target="_blank">GetType</a></td><td> (Inherited from <a href="http://msdn2.microsoft.com/en-us/library/e5kfa45b" target="_blank">Object</a>.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>Invoke</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>InvokeRepeating</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>IsInvoking()</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>IsInvoking(String)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Protected method](media/protmethod.gif "Protected method")</td><td><a href="http://msdn2.microsoft.com/en-us/library/57ctke0a" target="_blank">MemberwiseClone</a></td><td> (Inherited from <a href="http://msdn2.microsoft.com/en-us/library/e5kfa45b" target="_blank">Object</a>.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td><a href="M_MLAPI_NetworkedObject_RemoveOwnership">RemoveOwnership</a></td><td>
Removes all ownership of an object from any client. Can only be called from server</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessage(String)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessage(String, Object)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessage(String, SendMessageOptions)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessage(String, Object, SendMessageOptions)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessageUpwards(String)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessageUpwards(String, Object)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessageUpwards(String, SendMessageOptions)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>SendMessageUpwards(String, Object, SendMessageOptions)</td><td> (Inherited from Component.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td><a href="M_MLAPI_NetworkedObject_Spawn">Spawn</a></td><td>
Spawns this GameObject across the network. Can only be called from the Server</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td><a href="M_MLAPI_NetworkedObject_SpawnWithOwnership">SpawnWithOwnership</a></td><td>
Spawns an object across the network with a given owner. Can only be called from server</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StartCoroutine(IEnumerator)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StartCoroutine(String)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StartCoroutine(String, Object)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StartCoroutine_Auto</td><td> **Obsolete. ** (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StopAllCoroutines</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StopCoroutine(String)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StopCoroutine(IEnumerator)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>StopCoroutine(Coroutine)</td><td> (Inherited from MonoBehaviour.)</td></tr><tr><td>![Public method](media/pubmethod.gif "Public method")</td><td>ToString</td><td> (Inherited from Object.)</td></tr></table>&nbsp;
<a href="#networkedobject-class">Back to Top</a>

## Fields
&nbsp;<table><tr><th></th><th>Name</th><th>Description</th></tr><tr><td>![Public field](media/pubfield.gif "Public field")</td><td><a href="F_MLAPI_NetworkedObject_ServerOnly">ServerOnly</a></td><td>
Gets or sets if this object should be replicated across the network. Can only be changed before the object is spawned</td></tr></table>&nbsp;
<a href="#networkedobject-class">Back to Top</a>

## See Also


#### Reference
<a href="N_MLAPI">MLAPI Namespace</a><br />